0

I am using a Centos 7 machine, and I don't have root access. For this reason I have to compile everything locally, and hold them under my .local/ directory.

I need to compile autoconf, and I compile autoconf-2.69. But I encounter the following error:

Can't locate Data/Dumper.pm in @INC (@INC contains: ../lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at ../lib/Autom4te/C4che.pm line 33.
BEGIN failed--compilation aborted at ../lib/Autom4te/C4che.pm line 33.
Compilation failed in require at ../bin/autom4te line 37.
BEGIN failed--compilation aborted at ../bin/autom4te line 37.
make[2]: *** [autoconf.in] Error 2
make[2]: Leaving directory `/gpfs/hpchome/hasan90/build/autoconf-2.69/bin'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/gpfs/hpchome/hasan90/build/autoconf-2.69'
make: *** [all] Error 2

How can I fix the problem?

1 Answer 1

2

You need to install Data::Serializer from CPAN:

cpan Data::Serializer
4
  • When I try to install DataSerializer package, I get a similar error: Can't locate ExtUtils/MakeMaker.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at Makefile.PL line 6.
    – yusuf
    Dec 2, 2016 at 11:16
  • 1
    ExtUtils/MakeMaker.pm is part of Perl, is Perl installed properly on your system? Dec 2, 2016 at 11:54
  • Yes I have compiled it, now trying to set LD_LIBRARY_PATH
    – yusuf
    Dec 2, 2016 at 11:57
  • Oh so you built Perl yourself? You should check its paths then, none of the @INC paths point to your .local. Dec 2, 2016 at 12:00

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .